Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsproxy
Class OWSProxyPolicyFilter

    java.lang.Object
      org.deegree.security.owsproxy.OWSProxyPolicyFilter

    public class OWSProxyPolicyFilter

extends Object

Since:
  1.1
Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`OWSProxyPolicyFilter()` if this constructor is used the OWSProxyPolicyFilter doesn't constain a Validator.

Method Summary
`void` | `addValidator(String service, OWSValidator validator)` adds a `OWSPolicyValidator` to the `OWSProxyPolicyFilter`
`byte[]` | `validate(OGCWebServiceRequest request, byte[] data, String mime, User user)` validates the response (data) to a request
`void` | `validate(OGCWebServiceRequest request, User user)` validate the passed `OGCWebServiceRequest` againsted the Policy encapsulated by the `OWSProxyPolicyFilter`
`void` | `validateGeneralConditions(javax.servlet.http.HttpServletRequest request, int length, User user)` validate the passed `OGCWebServiceRequest` againsted the Policy encapsulated by the `OWSProxyPolicyFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSProxyPolicyFilter

    public OWSProxyPolicyFilter()

  if this constructor is used the OWSProxyPolicyFilter doesn't constain a Validator. Validators must be set using the addValidator(OWSPolicyValidator) method

Method Detail

### addValidator

    public void addValidator(String service,
                             OWSValidator validator)

  adds a `OWSPolicyValidator` to the `OWSProxyPolicyFilter`

  Parameters:
    `service` -
    `validator` -

### validateGeneralConditions

    public void validateGeneralConditions(javax.servlet.http.HttpServletRequest request,
                                          int length,
                                          User user)
                                   throws InvalidParameterValueException,
                                          UnauthorizedException

  validate the passed `OGCWebServiceRequest` againsted the Policy encapsulated by the `OWSProxyPolicyFilter`

  Parameters:
    `request` -
    `length` - length (characters) of the request
    `user` -
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

### validate

    public void validate(OGCWebServiceRequest request,
                         User user)
                  throws InvalidParameterValueException,
                         UnauthorizedException

  validate the passed `OGCWebServiceRequest` againsted the Policy encapsulated by the `OWSProxyPolicyFilter`

  Parameters:
    `request` -
    `user` -
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

### validate

    public byte[] validate(OGCWebServiceRequest request,
                           byte[] data,
                           String mime,
                           User user)
                    throws InvalidParameterValueException,
                           UnauthorizedException

  validates the response (data) to a request

  Parameters:
    `request` -
    `data` -
    `mime` -
    `user` -
  Returns:
    the response data
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org